using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("sys_log")]
    public class SysLogEntity
    {


        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:日志文本
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "text")]
        public string Text { get; set; } = null;

        /// <summary>
        /// 备  注:日志时间
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "log_time")]
        public DateTime? LogTime { get; set; }
        
        /// <summary>
        /// 备  注:操作者
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "operator")]
        public string Operator { get; set; } = null;

        /// <summary>
        /// 备  注:参数1
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "p1")]
        public int? P1 { get; set; }

        /// <summary>
        /// 备  注:参数2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "p2")]
        public int? P2 { get; set; }

        /// <summary>
        /// 备  注:参数3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "p3")]
        public int? P3 { get; set; }

    }

}